/* $Id: boxeslists.h,v 1.1.1.1 1996/10/02 10:35:48 roitzsch Exp $ */

#ifndef BOXESLISTS_H
#define BOXESLISTS_H


#ifdef __cplusplus
#   define EXTERN extern "C"
#else
#   define EXTERN extern
#endif

typedef char* ptr;


typedef void (*UserProc)(int k, int listLngs, int bucketLngs, int noOfBuckets,
			 int noOfFreeElements);

 
int Init_Fixed_Lists(int maxLists);
int Create_List(int lng, int bucketSize, char* name);
void Return_List(int no);
ptr Get_Elem(int no);
void Return_Elem(int no, ptr* elem);
ptr* GetBucket(int lng, int bucketSize);
void Inform_Lists(UserProc);


#endif
